#ifndef GRAPHICS_TABLE_H
#define GRAPHICS_TABLE_H

/*
**  table.h
**
**  (C) Copyright 2002-2004 Rocklyte Systems.
**      All Rights Reserved.
*/

#ifndef MAIN_H
#include <pandora/main.h>
#endif

/*****************************************************************************
** Table flags.
*/

#define TBF_COMPACTCELLS 0x00000001  /* Ignore empty cells when determining cell arrangement */
#define TBF_STACKLEFT    0x00000002  /* Keep all cells stacked to the left of the table and do not allow empty cells (causing gaps) */

/*****************************************************************************
** Table methods.
*/

struct mtSetCell {
   LONG   Row;       /* Row at which to insert the cell (-1 for first available cell) */
   LONG   Column;    /* Column at which to insert the cell (-1 for first available cell) */
   LONG   Flags;     /* Optional flags */
   STRING Args;      /* Arguments to pass to the cell script */
};

#define SCF_HIDE 0x00000001 /* Hide cell on creation */

struct mtClearCell {
   LONG Row;     /* Row */
   LONG Column;  /* Column */
};

struct mtHideCell {
   LONG Row;     /* Row */
   LONG Column;  /* Column */
};

struct mtShowCell {
   LONG Row;     /* Row */
   LONG Column;  /* Column */
};

#define MT_SetCell   -1
#define MT_ClearCell -2
#define MT_ShowCell  -3
#define MT_HideCell  -4

#endif /* GRAPHICS_TABLE_H */
